package common.block.natural;

import common.block.BlockFalling;
import common.block.Material;
import common.init.Items;
import common.item.CheatTab;
import common.item.Item;
import common.rng.Random;
import common.vars.Vars;
import common.world.State;

public class BlockGravel extends BlockFalling
{
	public BlockGravel() {
		super(Material.LOOSE);
		this.setTab(CheatTab.NATURE);
	}
	
    public Item getItemDropped(State state, Random rand, int fortune)
    {
    	int chance = Vars.flintChance;
    	if(chance <= 0)
    		return this.getItem();
    	fortune *= 3;
        if(fortune >= chance)
            fortune = chance - 1;
        return rand.chance(chance - fortune) ? Items.flint : this.getItem();
    }
    
//    public MapColor getMapColor(IBlockState state)
//    {
//        return MapColor.stoneColor;
//    }
}
